Manifest-Version: 1.0
Bnd-LastModified: 1720120573743
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Kernel
Bundle-SymbolicName: com.liferay.portal.kernel
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 100.1.1
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.portal.kernel.change.tracking.sql;version=
 "1.0.0";uses:="com.liferay.petra.lang",com.liferay.admin.kernel.util;
 version="2.0.0";uses:="com.liferay.portal.kernel.model",com.liferay.a
 nnouncements.kernel.constants;version="1.0.0",com.liferay.announcemen
 ts.kernel.exception;version="1.0.0";uses:="com.liferay.portal.kernel.
 exception",com.liferay.announcements.kernel.model;version="4.1.0";use
 s:="com.liferay.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com
 .liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.
 liferay.portal.kernel.bean,com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.model.wrapper,com
 .liferay.portal.kernel.util",com.liferay.announcements.kernel.service
 ;version="2.5.0";uses:="com.liferay.announcements.kernel.model,com.li
 feray.exportimport.kernel.lar,com.liferay.petra.sql.dsl.query,com.lif
 eray.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.jsonwebservice,com.liferay.portal.kernel.model,co
 m.liferay.portal.kernel.search,com.liferay.portal.kernel.security.acc
 ess.control,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.systemevent,com.liferay.portal.kernel.transaction,com.liferay.port
 al.kernel.util",com.liferay.announcements.kernel.service.persistence;
 version="3.3.0";uses:="com.liferay.announcements.kernel.exception,com
 .liferay.announcements.kernel.model,com.liferay.portal.kernel.dao.orm
 ,com.liferay.portal.kernel.service,com.liferay.portal.kernel.service.
 persistence,com.liferay.portal.kernel.util",com.liferay.announcements
 .kernel.util;version="2.0.0";uses:="com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.model,com.liferay.portal.kernel.security
 .permission,com.liferay.portal.kernel.theme",com.liferay.asset.kernel
 ;version="2.1.0";uses:="com.liferay.asset.kernel.model,com.liferay.po
 rtal.kernel.exception",com.liferay.asset.kernel.configuration.provide
 r;version="1.0.0";uses:="com.liferay.portal.kernel.module.configurati
 on",com.liferay.asset.kernel.exception;version="3.0.1";uses:="com.lif
 eray.asset.kernel.model,com.liferay.portal.kernel.exception",com.life
 ray.asset.kernel.model;version="9.2.0";uses:="com.liferay.dynamic.dat
 a.mapping.kernel,com.liferay.exportimport.kernel.lar,com.liferay.petr
 a.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.an
 notation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.model,com.liferay.portal.kernel.mode
 l.change.tracking,com.liferay.portal.kernel.model.wrapper,com.liferay
 .portal.kernel.portlet,com.liferay.portal.kernel.resource.bundle,com.
 liferay.portal.kernel.security.permission,com.liferay.portal.kernel.t
 heme,com.liferay.portal.kernel.util,javax.portlet,javax.servlet,javax
 .servlet.http",com.liferay.asset.kernel.model.adapter;version="3.1.0"
 ;uses:="com.liferay.asset.kernel.model,com.liferay.portal.kernel.mode
 l",com.liferay.asset.kernel.service;version="8.0.1";uses:="com.lifera
 y.asset.kernel.model,com.liferay.asset.kernel.service.persistence,com
 .liferay.exportimport.kernel.lar,com.liferay.petra.function,com.lifer
 ay.petra.sql.dsl.query,com.liferay.portal.kernel.cache.thread.local,c
 om.liferay.portal.kernel.change.tracking,com.liferay.portal.kernel.da
 o.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.i
 ncrement,com.liferay.portal.kernel.json,com.liferay.portal.kernel.jso
 nwebservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel
 .search,com.liferay.portal.kernel.security.access.control,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.service.change.track
 ing,com.liferay.portal.kernel.service.permission,com.liferay.portal.k
 ernel.service.persistence.change.tracking,com.liferay.portal.kernel.s
 ystemevent,com.liferay.portal.kernel.transaction,com.liferay.portal.k
 ernel.util",com.liferay.asset.kernel.service.persistence;version="10.
 0.0";uses:="com.liferay.asset.kernel.exception,com.liferay.asset.kern
 el.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.
 dao.search,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 service,com.liferay.portal.kernel.service.persistence,com.liferay.por
 tal.kernel.service.persistence.change.tracking,com.liferay.portal.ker
 nel.util",com.liferay.asset.kernel.util;version="2.0.0",com.liferay.a
 sset.kernel.validator;version="2.0.0";uses:="com.liferay.portal.kerne
 l.exception",com.liferay.background.task.kernel.util.comparator;versi
 on="1.1.0";uses:="com.liferay.portal.kernel.backgroundtask,com.lifera
 y.portal.kernel.util",com.liferay.counter.kernel;version="2.2.0",com.
 liferay.counter.kernel.exception;version="1.0.0";uses:="com.liferay.p
 ortal.kernel.exception",com.liferay.counter.kernel.model;version="4.1
 .0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,c
 om.liferay.portal.kernel.annotation,com.liferay.portal.kernel.bean,co
 m.liferay.portal.kernel.model,com.liferay.portal.kernel.model.wrapper
 ,com.liferay.portal.kernel.util",com.liferay.counter.kernel.service;v
 ersion="2.1.0";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.transaction",com.lif
 eray.counter.kernel.service.persistence;version="2.0.2",com.liferay.d
 ocument.library.kernel;version="1.0.0";uses:="com.liferay.portal.kern
 el.exception",com.liferay.document.library.kernel.antivirus;version="
 3.1.0";uses:="com.liferay.portal.kernel.exception",com.liferay.docume
 nt.library.kernel.document.conversion;version="1.0.0",com.liferay.doc
 ument.library.kernel.exception;version="4.1.0";uses:="com.liferay.por
 tal.kernel.exception",com.liferay.document.library.kernel.model;versi
 on="8.1.0";uses:="com.liferay.dynamic.data.mapping.kernel,com.liferay
 .expando.kernel.model,com.liferay.exportimport.kernel.lar,com.liferay
 .petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kern
 el.annotation,com.liferay.portal.kernel.bean,com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.
 model,com.liferay.portal.kernel.model.change.tracking,com.liferay.por
 tal.kernel.model.wrapper,com.liferay.portal.kernel.repository.model,c
 om.liferay.portal.kernel.util",com.liferay.document.library.kernel.se
 rvice;version="10.0.0";uses:="com.liferay.asset.kernel.model,com.life
 ray.document.library.kernel.exception,com.liferay.document.library.ke
 rnel.model,com.liferay.dynamic.data.mapping.kernel,com.liferay.export
 import.kernel.lar,com.liferay.petra.function,com.liferay.petra.sql.ds
 l.query,com.liferay.portal.kernel.cache.thread.local,com.liferay.port
 al.kernel.change.tracking,com.liferay.portal.kernel.dao.orm,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.increment,com.li
 feray.portal.kernel.jsonwebservice,com.liferay.portal.kernel.lock,com
 .liferay.portal.kernel.messaging.async,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.repository.model,com.liferay.portal.kerne
 l.search,com.liferay.portal.kernel.security.access.control,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.service.change.trac
 king,com.liferay.portal.kernel.service.permission,com.liferay.portal.
 kernel.service.persistence.change.tracking,com.liferay.portal.kernel.
 systemevent,com.liferay.portal.kernel.transaction,com.liferay.portal.
 kernel.util",com.liferay.document.library.kernel.service.persistence;
 version="6.0.0";uses:="com.liferay.document.library.kernel.exception,
 com.liferay.document.library.kernel.model,com.liferay.portal.kernel.d
 ao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kernel.se
 rvice.persistence,com.liferay.portal.kernel.service.persistence.chang
 e.tracking,com.liferay.portal.kernel.util",com.liferay.document.libra
 ry.kernel.store;version="3.1.0";uses:="com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.transaction",com.liferay.document.lib
 rary.kernel.util;version="8.0.0";uses:="com.liferay.document.library.
 kernel.exception,com.liferay.document.library.kernel.model,com.lifera
 y.exportimport.kernel.lar,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.repository.model,com.liferay.portal.kernel.search,
 com.liferay.portal.kernel.service,com.liferay.portal.kernel.theme,com
 .liferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.portl
 et",com.liferay.document.library.kernel.util.comparator;version="3.0.
 0";uses:="com.liferay.document.library.kernel.model,com.liferay.porta
 l.kernel.repository.model,com.liferay.portal.kernel.util",com.liferay
 .document.library.kernel.versioning;version="1.0.0";uses:="com.lifera
 y.document.library.kernel.model",com.liferay.dynamic.data.mapping.ker
 nel;version="3.0.0";uses:="com.liferay.expando.kernel.model,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.por
 tal.kernel.service,com.liferay.portal.kernel.theme",com.liferay.expan
 do.kernel.exception;version="2.0.0";uses:="com.liferay.portal.kernel.
 exception",com.liferay.expando.kernel.model;version="6.0.0";uses:="co
 m.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.po
 rtal.kernel.annotation,com.liferay.portal.kernel.bean,com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.model.change.tracking,com.li
 feray.portal.kernel.model.wrapper,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.util",com.liferay.expando.kernel.model.adapt
 er;version="3.1.0";uses:="com.liferay.expando.kernel.model,com.lifera
 y.portal.kernel.model",com.liferay.expando.kernel.service;version="1.
 8.0";uses:="com.liferay.expando.kernel.model,com.liferay.petra.functi
 on,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.change.t
 racking,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.jso
 nwebservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel
 .search,com.liferay.portal.kernel.security.access.control,com.liferay
 .portal.kernel.service,com.liferay.portal.kernel.service.change.track
 ing,com.liferay.portal.kernel.service.persistence.change.tracking,com
 .liferay.portal.kernel.transaction,com.liferay.portal.kernel.util",co
 m.liferay.expando.kernel.service.permission;version="1.0.0";uses:="co
 m.liferay.expando.kernel.model,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.security.permission",com.liferay.expando.kern
 el.service.persistence;version="3.2.0";uses:="com.liferay.expando.ker
 nel.exception,com.liferay.expando.kernel.model,com.liferay.portal.ker
 nel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.service.persistence,com.liferay.portal.kernel.service.persistence.
 change.tracking,com.liferay.portal.kernel.util",com.liferay.expando.k
 ernel.util;version="4.0.0";uses:="com.liferay.expando.kernel.model,co
 m.liferay.portal.kernel.service",com.liferay.exportimport.kernel.back
 ground.task;version="1.3.1",com.liferay.exportimport.kernel.configura
 tion;version="5.0.0";uses:="com.liferay.exportimport.kernel.model,com
 .liferay.portal.kernel.backgroundtask,com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.model,javax.portlet",com.liferay.expor
 timport.kernel.configuration.constants;version="1.0.0",com.liferay.ex
 portimport.kernel.controller;version="2.0.0";uses:="com.liferay.expor
 timport.kernel.lar,com.liferay.exportimport.kernel.model",com.liferay
 .exportimport.kernel.exception;version="2.1.0";uses:="com.liferay.exp
 ortimport.kernel.lar,com.liferay.portal.kernel.exception",com.liferay
 .exportimport.kernel.lar;version="4.3.0";uses:="com.liferay.expando.k
 ernel.model,com.liferay.exportimport.kernel.model,com.liferay.portal.
 kernel.backgroundtask,com.liferay.portal.kernel.dao.orm,com.liferay.p
 ortal.kernel.exception,com.liferay.portal.kernel.lock,com.liferay.por
 tal.kernel.model,com.liferay.portal.kernel.repository.model,com.lifer
 ay.portal.kernel.service,com.liferay.portal.kernel.theme,com.liferay.
 portal.kernel.util,com.liferay.portal.kernel.xml,com.liferay.portal.k
 ernel.zip,javax.portlet",com.liferay.exportimport.kernel.lifecycle;ve
 rsion="4.0.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.
 exportimport.kernel.model,com.liferay.portal.kernel.model",com.lifera
 y.exportimport.kernel.lifecycle.constants;version="1.0.0",com.liferay
 .exportimport.kernel.model;version="6.0.0";uses:="com.liferay.petra.s
 ql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annot
 ation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.model,
 com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.uti
 l",com.liferay.exportimport.kernel.service;version="2.7.0";uses:="com
 .liferay.exportimport.kernel.lar,com.liferay.exportimport.kernel.mode
 l,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.orm,c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.jsonwebs
 ervice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.sear
 ch,com.liferay.portal.kernel.security.access.control,com.liferay.port
 al.kernel.service,com.liferay.portal.kernel.systemevent,com.liferay.p
 ortal.kernel.transaction,com.liferay.portal.kernel.util,javax.portlet
 ",com.liferay.exportimport.kernel.service.persistence;version="2.4.0"
 ;uses:="com.liferay.exportimport.kernel.exception,com.liferay.exporti
 mport.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.port
 al.kernel.service,com.liferay.portal.kernel.service.persistence,com.l
 iferay.portal.kernel.util",com.liferay.exportimport.kernel.staging;ve
 rsion="2.3.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.
 exportimport.kernel.model,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.json,com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.security.auth,com.liferay.portal.kernel.util,com.liferay
 .portal.kernel.workflow,com.liferay.portal.kernel.xml,javax.portlet,j
 avax.servlet.http",com.liferay.exportimport.kernel.staging.constants;
 version="1.0.0",com.liferay.exportimport.kernel.staging.permission;ve
 rsion="1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.port
 al.kernel.security.permission",com.liferay.exportimport.kernel.xstrea
 m;version="2.0.0",com.liferay.layout.admin.kernel.model;version="1.0.
 0";uses:="com.liferay.portal.kernel.model",com.liferay.layout.admin.k
 ernel.visibility;version="2.0.0",com.liferay.layout.seo.kernel;versio
 n="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.theme,com.liferay.portal.ke
 rnel.util",com.liferay.layout.utility.page.kernel;version="1.0.0";use
 s:="javax.servlet,javax.servlet.http",com.liferay.layout.utility.page
 .kernel.constants;version="2.0.0",com.liferay.layouts.admin.kernel.ut
 il;version="100.1.1",com.liferay.mail.kernel.model;version="1.1.0";us
 es:="javax.mail.internet",com.liferay.mail.kernel.service;version="5.
 0.0";uses:="com.liferay.mail.kernel.model,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.transaction,javax.mail",com.lifera
 y.mail.kernel.template;version="2.0.0";uses:="com.liferay.portal.kern
 el.util",com.liferay.portal.kernel.annotation;version="7.0.0",com.lif
 eray.portal.kernel.aop;version="1.0.1",com.liferay.portal.kernel.appl
 ication.type;version="1.0.0",com.liferay.portal.kernel.audit;version=
 "7.1.1";uses:="com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.json",com.liferay.portal.kernel.backgroundtask;version="10.0.
 0";uses:="com.liferay.petra.lang,com.liferay.portal.kernel.background
 task.display,com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.messaging,com.liferay.portal.kernel.model,com.liferay.portal.ke
 rnel.repository.model,com.liferay.portal.kernel.service,com.liferay.p
 ortal.kernel.util",com.liferay.portal.kernel.backgroundtask.constants
 ;version="1.1.0",com.liferay.portal.kernel.backgroundtask.display;ver
 sion="3.0.0";uses:="com.liferay.portal.kernel.backgroundtask,javax.se
 rvlet.http",com.liferay.portal.kernel.bean;version="10.1.0";uses:="ja
 vax.portlet,javax.servlet.http",com.liferay.portal.kernel.cache;versi
 on="14.0.0";uses:="com.liferay.portal.kernel.transaction",com.liferay
 .portal.kernel.cache.index;version="6.2.0";uses:="com.liferay.portal.
 kernel.cache",com.liferay.portal.kernel.cache.key;version="8.0.0";use
 s:="com.liferay.petra.string",com.liferay.portal.kernel.cache.thread.
 local;version="2.0.0";uses:="com.liferay.portal.kernel.transaction",c
 om.liferay.portal.kernel.cache.transactional;version="3.1.0";uses:="c
 om.liferay.portal.kernel.cache,com.liferay.portal.kernel.transaction"
 ,com.liferay.portal.kernel.cal;version="7.0.0",com.liferay.portal.ker
 nel.captcha;version="7.0.0";uses:="com.liferay.portal.kernel.exceptio
 n,javax.portlet,javax.servlet.http",com.liferay.portal.kernel.change.
 tracking;version="2.2.0";uses:="com.liferay.petra.lang,com.liferay.po
 rtal.kernel.exception",com.liferay.portal.kernel.cluster;version="8.0
 .0";uses:="com.liferay.portal.kernel.concurrent,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.messaging,com.liferay.portal
 .kernel.util",com.liferay.portal.kernel.cluster.messaging;version="7.
 1.0";uses:="com.liferay.portal.kernel.cluster,com.liferay.portal.kern
 el.messaging",com.liferay.portal.kernel.comment;version="4.0.0";uses:
 ="com.liferay.exportimport.kernel.lar,com.liferay.portal.kernel.dao.o
 rm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.security.permission,com.liferay.portal.ke
 rnel.service,com.liferay.ratings.kernel.model",com.liferay.portal.ker
 nel.comment.display.context;version="1.0.0";uses:="com.liferay.portal
 .kernel.comment,com.liferay.portal.kernel.display.context,com.liferay
 .portal.kernel.exception,javax.servlet.http",com.liferay.portal.kerne
 l.concurrent;version="8.0.0",com.liferay.portal.kernel.configuration;
 version="7.0.0",com.liferay.portal.kernel.cookies;version="3.1.0";use
 s:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.set
 tings,javax.servlet.http",com.liferay.portal.kernel.cookies.constants
 ;version="1.1.0",com.liferay.portal.kernel.dao.db;version="10.2.0";us
 es:="com.liferay.petra.function,javax.naming,javax.sql",com.liferay.p
 ortal.kernel.dao.jdbc;version="9.0.0";uses:="javax.naming,javax.sql",
 com.liferay.portal.kernel.dao.jdbc.aop;version="8.0.0",com.liferay.po
 rtal.kernel.dao.jdbc.pool.metrics;version="1.0.0",com.liferay.portal.
 kernel.dao.orm;version="12.0.0";uses:="com.liferay.exportimport.kerne
 l.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,com.
 liferay.portal.kernel.cache,com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.model,com.liferay.portal.kernel.search,com.lifer
 ay.portal.kernel.service,com.liferay.portal.kernel.service.persistenc
 e,com.liferay.portal.kernel.transaction,com.liferay.portal.kernel.uti
 l",com.liferay.portal.kernel.dao.search;version="9.0.0";uses:="com.li
 feray.petra.function,com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.port
 al.kernel.util,javax.portlet,javax.servlet,javax.servlet.http",com.li
 feray.portal.kernel.dependency.manager;version="1.2.0",com.liferay.po
 rtal.kernel.deploy.auto;version="8.0.0";uses:="com.liferay.portal.ker
 nel.deploy.auto.context,com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.plugin",com.liferay.portal.kernel.deploy.auto.contex
 t;version="7.0.0";uses:="com.liferay.portal.kernel.plugin",com.lifera
 y.portal.kernel.deploy.hot;version="7.1.2";uses:="com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.messaging,com.liferay.port
 al.kernel.plugin,com.liferay.portal.kernel.util,javax.servlet",com.li
 feray.portal.kernel.display.context;version="2.0.0";uses:="javax.serv
 let.http,org.osgi.framework",com.liferay.portal.kernel.display.contex
 t.helper;version="2.0.0";uses:="com.liferay.portal.kernel.model,com.l
 iferay.portal.kernel.portlet,com.liferay.portal.kernel.security.permi
 ssion,com.liferay.portal.kernel.theme,javax.servlet.http",com.liferay
 .portal.kernel.editor;version="8.0.0",com.liferay.portal.kernel.edito
 r.configuration;version="1.1.0";uses:="com.liferay.portal.kernel.json
 ,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.theme",c
 om.liferay.portal.kernel.editor.constants;version="1.0.0",com.liferay
 .portal.kernel.encryptor;version="1.0.0",com.liferay.portal.kernel.ev
 ents;version="6.3.0";uses:="com.liferay.portal.kernel.exception,javax
 .portlet,javax.servlet.http",com.liferay.portal.kernel.exception;vers
 ion="13.1.0";uses:="com.liferay.portal.kernel.model,com.liferay.porta
 l.kernel.security.auth,com.liferay.portal.kernel.util",com.liferay.po
 rtal.kernel.facebook;version="7.0.0";uses:="com.liferay.portal.kernel
 .json,javax.portlet",com.liferay.portal.kernel.feature.flag;version="
 1.0.0",com.liferay.portal.kernel.format;version="7.0.0",com.liferay.p
 ortal.kernel.frontend.esm;version="1.0.0",com.liferay.portal.kernel.f
 rontend.source.map;version="1.0.0",com.liferay.portal.kernel.group.ca
 pability;version="1.0.0";uses:="com.liferay.portal.kernel.model",com.
 liferay.portal.kernel.image;version="10.0.0";uses:="com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.model",com.liferay.porta
 l.kernel.increment;version="7.1.0";uses:="com.liferay.petra.lang",com
 .liferay.portal.kernel.instance.lifecycle;version="2.1.0";uses:="com.
 liferay.portal.kernel.model",com.liferay.portal.kernel.interval;versi
 on="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.po
 rtal.kernel.io;version="9.0.0",com.liferay.portal.kernel.io.constants
 ;version="1.0.0",com.liferay.portal.kernel.io.unsync;version="8.0.0";
 uses:="com.liferay.petra.string",com.liferay.portal.kernel.jazzy;vers
 ion="1.0.0",com.liferay.portal.kernel.jmx.model;version="7.0.0";uses:
 ="javax.management",com.liferay.portal.kernel.jndi;version="7.0.0";us
 es:="javax.naming",com.liferay.portal.kernel.json;version="11.0.0";us
 es:="com.liferay.petra.function,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.log",com.liferay.portal.kernel.jsonwebservic
 e;version="9.0.0";uses:="com.liferay.portal.kernel.exception,com.life
 ray.portal.kernel.util,javax.servlet,javax.servlet.http",com.liferay.
 portal.kernel.language;version="11.0.0";uses:="com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.resource.bundle,javax.portlet
 ,javax.servlet.http",com.liferay.portal.kernel.language.constants;ver
 sion="1.0.0",com.liferay.portal.kernel.layoutconfiguration.util;versi
 on="4.0.0";uses:="com.liferay.petra.string,com.liferay.portal.kernel.
 model,javax.servlet.http",com.liferay.portal.kernel.license;version="
 1.0.0",com.liferay.portal.kernel.license.messaging;version="3.0.0",co
 m.liferay.portal.kernel.license.util;version="1.0.0";uses:="com.lifer
 ay.portal.kernel.json,com.liferay.portal.kernel.license",com.liferay.
 portal.kernel.lock;version="9.0.0";uses:="com.liferay.portal.kernel.e
 xception",com.liferay.portal.kernel.log;version="8.0.0",com.liferay.p
 ortal.kernel.login;version="1.0.0",com.liferay.portal.kernel.lpkg;ver
 sion="2.0.0",com.liferay.portal.kernel.management;version="8.0.0";use
 s:="com.liferay.portal.kernel.exception",com.liferay.portal.kernel.ma
 nagement.jmx;version="6.2.0";uses:="com.liferay.portal.kernel.jmx.mod
 el,com.liferay.portal.kernel.management,javax.management",com.liferay
 .portal.kernel.messaging;version="15.0.0";uses:="com.liferay.portal.k
 ernel.exception",com.liferay.portal.kernel.messaging.async;version="6
 .2.0",com.liferay.portal.kernel.messaging.config;version="11.0.0";use
 s:="com.liferay.portal.kernel.messaging",com.liferay.portal.kernel.me
 tadata;version="10.0.0";uses:="com.liferay.dynamic.data.mapping.kerne
 l,com.liferay.portal.kernel.exception",com.liferay.portal.kernel.micr
 osofttranslator;version="7.0.0";uses:="com.liferay.portal.kernel.exce
 ption",com.liferay.portal.kernel.mobile.device;version="9.0.0";uses:=
 "javax.servlet.http",com.liferay.portal.kernel.model;version="28.2.0"
 ;uses:="com.liferay.asset.kernel.model,com.liferay.expando.kernel.mod
 el,com.liferay.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.
 liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.l
 iferay.portal.kernel.application.type,com.liferay.portal.kernel.bean,
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,co
 m.liferay.portal.kernel.model.change.tracking,com.liferay.portal.kern
 el.model.portlet,com.liferay.portal.kernel.model.wrapper,com.liferay.
 portal.kernel.notifications,com.liferay.portal.kernel.plugin,com.life
 ray.portal.kernel.pop,com.liferay.portal.kernel.portlet,com.liferay.p
 ortal.kernel.scheduler,com.liferay.portal.kernel.search,com.liferay.p
 ortal.kernel.security.permission,com.liferay.portal.kernel.security.p
 ermission.propagator,com.liferay.portal.kernel.service,com.liferay.po
 rtal.kernel.servlet,com.liferay.portal.kernel.template,com.liferay.po
 rtal.kernel.theme,com.liferay.portal.kernel.trash,com.liferay.portal.
 kernel.util,com.liferay.portal.kernel.webdav,com.liferay.portal.kerne
 l.workflow,com.liferay.portal.kernel.xml,com.liferay.portal.kernel.xm
 lrpc,com.liferay.social.kernel.model,javax.portlet,javax.servlet,java
 x.servlet.http",com.liferay.portal.kernel.model.adapter;version="5.1.
 0";uses:="com.liferay.portal.kernel.model",com.liferay.portal.kernel.
 model.adapter.builder;version="1.0.0",com.liferay.portal.kernel.model
 .cache;version="1.0.0",com.liferay.portal.kernel.model.change.trackin
 g;version="3.0.0";uses:="com.liferay.portal.kernel.model",com.liferay
 .portal.kernel.model.dao;version="2.5.0",com.liferay.portal.kernel.mo
 del.impl;version="7.2.0";uses:="com.liferay.expando.kernel.model,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.model,com.l
 iferay.portal.kernel.security.permission,com.liferay.portal.kernel.se
 rvice,javax.servlet.http",com.liferay.portal.kernel.model.portlet;ver
 sion="2.0.0";uses:="com.liferay.petra.string,javax.portlet",com.lifer
 ay.portal.kernel.model.role;version="1.2.0",com.liferay.portal.kernel
 .model.version;version="3.0.0",com.liferay.portal.kernel.model.wrappe
 r;version="3.0.0";uses:="com.liferay.expando.kernel.model,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.service",com.liferay.p
 ortal.kernel.module.configuration;version="2.1.0";uses:="com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.settings",com.liferay.portal.kernel.module.framework;ver
 sion="1.4.0",com.liferay.portal.kernel.module.framework.service;versi
 on="1.0.1";uses:="com.liferay.portal.kernel.transaction,com.liferay.p
 ortal.kernel.util",com.liferay.portal.kernel.monitoring;version="8.0.
 0";uses:="com.liferay.portal.kernel.exception,javax.portlet",com.life
 ray.portal.kernel.notifications;version="11.1.0";uses:="com.liferay.a
 sset.kernel.model,com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.json,com.liferay.portal.kernel.model,com.liferay.portal.ke
 rnel.service",com.liferay.portal.kernel.openid;version="1.0.0",com.li
 feray.portal.kernel.parsers.bbcode;version="7.0.0",com.liferay.portal
 .kernel.patcher;version="8.0.0",com.liferay.portal.kernel.plugin;vers
 ion="7.0.0";uses:="com.liferay.portal.kernel.util",com.liferay.portal
 .kernel.pop;version="7.0.0";uses:="com.liferay.portal.kernel.exceptio
 n,javax.mail",com.liferay.portal.kernel.portlet;version="23.0.0";uses
 :="com.liferay.asset.kernel.model,com.liferay.expando.kernel.model,co
 m.liferay.exportimport.kernel.lar,com.liferay.osgi.service.tracker.co
 llections.map,com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.json,com.liferay.portal.kernel.model,com.liferay.portal.kernel
 .notifications,com.liferay.portal.kernel.pop,com.liferay.portal.kerne
 l.search,com.liferay.portal.kernel.security.permission,com.liferay.po
 rtal.kernel.security.permission.propagator,com.liferay.portal.kernel.
 servlet,com.liferay.portal.kernel.settings,com.liferay.portal.kernel.
 template,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.tr
 ash,com.liferay.portal.kernel.util,com.liferay.portal.kernel.webdav,c
 om.liferay.portal.kernel.workflow,com.liferay.portal.kernel.xml,com.l
 iferay.portal.kernel.xmlrpc,com.liferay.social.kernel.model,javax.por
 tlet,javax.portlet.annotations,javax.portlet.filter,javax.servlet,jav
 ax.servlet.http",com.liferay.portal.kernel.portlet.async;version="1.0
 .1";uses:="javax.portlet",com.liferay.portal.kernel.portlet.bridges.m
 vc;version="6.0.0";uses:="com.liferay.portal.kernel.portlet,javax.por
 tlet",com.liferay.portal.kernel.portlet.bridges.mvc.constants;version
 ="1.0.0",com.liferay.portal.kernel.portlet.configuration.icon;version
 ="5.0.0";uses:="com.liferay.osgi.service.tracker.collections.map,java
 x.portlet,javax.servlet,javax.servlet.http,org.osgi.framework",com.li
 feray.portal.kernel.portlet.configuration.icon.locator;version="1.0.0
 ";uses:="javax.portlet",com.liferay.portal.kernel.portlet.constants;v
 ersion="1.4.0",com.liferay.portal.kernel.portlet.render;version="1.0.
 0";uses:="com.liferay.portal.kernel.model,javax.servlet.http",com.lif
 eray.portal.kernel.portlet.toolbar;version="1.0.0";uses:="com.liferay
 .portal.kernel.servlet.taglib.ui,javax.portlet",com.liferay.portal.ke
 rnel.portlet.toolbar.contributor;version="1.1.0";uses:="com.liferay.p
 ortal.kernel.servlet.taglib.ui,javax.portlet",com.liferay.portal.kern
 el.portlet.toolbar.contributor.locator;version="1.0.0";uses:="com.lif
 eray.portal.kernel.portlet.toolbar.contributor,javax.portlet",com.lif
 eray.portal.kernel.portlet.url.builder;version="2.0.0";uses:="com.lif
 eray.portal.kernel.portlet,javax.portlet,javax.portlet.annotations",c
 om.liferay.portal.kernel.portletdisplaytemplate;version="6.4.1";uses:
 ="com.liferay.dynamic.data.mapping.kernel,com.liferay.portal.kernel.t
 emplate,javax.servlet.http",com.liferay.portal.kernel.portletfilerepo
 sitory;version="5.0.0";uses:="com.liferay.portal.kernel.exception,com
 .liferay.portal.kernel.model,com.liferay.portal.kernel.repository.mod
 el,com.liferay.portal.kernel.search,com.liferay.portal.kernel.service
 ,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.util",com.
 liferay.portal.kernel.redirect;version="1.0.0",com.liferay.portal.ker
 nel.regex;version="1.0.0",com.liferay.portal.kernel.repository;versio
 n="13.0.0";uses:="com.liferay.asset.kernel.service,com.liferay.docume
 nt.library.kernel.model,com.liferay.document.library.kernel.service,c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.lock,com
 .liferay.portal.kernel.model,com.liferay.portal.kernel.repository.cap
 abilities,com.liferay.portal.kernel.repository.model,com.liferay.port
 al.kernel.resource.bundle,com.liferay.portal.kernel.search,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.util",com.liferay.p
 ortal.kernel.repository.capabilities;version="2.0.0";uses:="com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.repository,com.l
 iferay.portal.kernel.repository.event,com.liferay.portal.kernel.repos
 itory.model,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.util",com.liferay.portal.kernel.repository.event;version="1.1.0";u
 ses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.r
 epository.model,com.liferay.portal.kernel.repository.registry",com.li
 feray.portal.kernel.repository.friendly.url.resolver;version="2.0.0";
 uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 repository.model",com.liferay.portal.kernel.repository.http.header.cu
 stomizer;version="1.0.0";uses:="com.liferay.portal.kernel.repository.
 model",com.liferay.portal.kernel.repository.model;version="11.2.0";us
 es:="com.liferay.expando.kernel.model,com.liferay.exportimport.kernel
 .lar,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.js
 on,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.model,com
 .liferay.portal.kernel.repository.capabilities,com.liferay.portal.ker
 nel.security.permission,com.liferay.portal.kernel.util",com.liferay.p
 ortal.kernel.repository.proxy;version="7.0.0";uses:="com.liferay.asse
 t.kernel.service,com.liferay.document.library.kernel.model,com.lifera
 y.document.library.kernel.service,com.liferay.expando.kernel.model,co
 m.liferay.exportimport.kernel.lar,com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.repository,
 com.liferay.portal.kernel.repository.capabilities,com.liferay.portal.
 kernel.repository.model,com.liferay.portal.kernel.search,com.liferay.
 portal.kernel.security.permission,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.util",com.liferay.portal.kernel.repository.r
 egistry;version="1.1.0";uses:="com.liferay.portal.kernel.repository,c
 om.liferay.portal.kernel.repository.capabilities,com.liferay.portal.k
 ernel.repository.event",com.liferay.portal.kernel.repository.search;v
 ersion="7.0.0";uses:="com.liferay.portal.kernel.search",com.liferay.p
 ortal.kernel.repository.util;version="3.1.0";uses:="com.liferay.porta
 l.kernel.repository.model",com.liferay.portal.kernel.resource;version
 ="6.3.0",com.liferay.portal.kernel.resource.bundle;version="1.0.0",co
 m.liferay.portal.kernel.resource.manager;version="1.0.0";uses:="com.l
 iferay.portal.kernel.resource",com.liferay.portal.kernel.sanitizer;ve
 rsion="8.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay
 .portal.kernel.scheduler;version="17.1.0";uses:="com.liferay.petra.fu
 nction,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 messaging,com.liferay.portal.kernel.scheduler.messaging,javax.portlet
 ",com.liferay.portal.kernel.scheduler.messaging;version="9.0.0";uses:
 ="com.liferay.portal.kernel.messaging,com.liferay.portal.kernel.sched
 uler",com.liferay.portal.kernel.scripting;version="9.0.0";uses:="com.
 liferay.portal.kernel.exception,javax.portlet",com.liferay.portal.ker
 nel.search;version="20.0.0";uses:="com.liferay.asset.kernel.model,com
 .liferay.expando.kernel.model,com.liferay.petra.function,com.liferay.
 petra.string,com.liferay.portal.kernel.backgroundtask,com.liferay.por
 tal.kernel.comment,com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.json,com.liferay.portal.kernel.model,com.liferay.portal.k
 ernel.portlet,com.liferay.portal.kernel.repository.model,com.liferay.
 portal.kernel.search.facet,com.liferay.portal.kernel.search.filter,co
 m.liferay.portal.kernel.search.geolocation,com.liferay.portal.kernel.
 search.query,com.liferay.portal.kernel.search.suggest,com.liferay.por
 tal.kernel.security.permission,com.liferay.portal.kernel.theme,com.li
 feray.portal.kernel.xml,javax.portlet,javax.servlet.http",com.liferay
 .portal.kernel.search.analysis;version="2.0.0";uses:="com.liferay.por
 tal.kernel.search",com.liferay.portal.kernel.search.background.task;v
 ersion="2.0.0",com.liferay.portal.kernel.search.dummy;version="5.0.0"
 ;uses:="com.liferay.portal.kernel.search,com.liferay.portal.kernel.se
 arch.filter,com.liferay.portal.kernel.search.suggest,com.liferay.port
 al.kernel.security.permission,javax.portlet",com.liferay.portal.kerne
 l.search.facet;version="9.0.0";uses:="com.liferay.portal.kernel.json,
 com.liferay.portal.kernel.search,com.liferay.portal.kernel.search.fac
 et.collector,com.liferay.portal.kernel.search.facet.config,com.lifera
 y.portal.kernel.search.facet.util,com.liferay.portal.kernel.search.fi
 lter",com.liferay.portal.kernel.search.facet.collector;version="6.3.0
 ",com.liferay.portal.kernel.search.facet.config;version="8.0.0";uses:
 ="com.liferay.portal.kernel.json",com.liferay.portal.kernel.search.fa
 cet.faceted.searcher;version="2.0.0";uses:="com.liferay.portal.kernel
 .search",com.liferay.portal.kernel.search.facet.util;version="7.0.0";
 uses:="com.liferay.portal.kernel.search,com.liferay.portal.kernel.sea
 rch.facet",com.liferay.portal.kernel.search.filter;version="1.0.0";us
 es:="com.liferay.portal.kernel.search,com.liferay.portal.kernel.searc
 h.geolocation",com.liferay.portal.kernel.search.generic;version="3.0.
 0";uses:="com.liferay.portal.kernel.search,com.liferay.portal.kernel.
 search.filter,com.liferay.portal.kernel.search.query",com.liferay.por
 tal.kernel.search.geolocation;version="1.0.0",com.liferay.portal.kern
 el.search.highlight;version="1.0.0";uses:="com.liferay.portal.kernel.
 search",com.liferay.portal.kernel.search.hits;version="2.0.0";uses:="
 com.liferay.portal.kernel.search",com.liferay.portal.kernel.search.qu
 ery;version="2.0.0";uses:="com.liferay.portal.kernel.search,com.lifer
 ay.portal.kernel.search.generic",com.liferay.portal.kernel.search.rei
 ndexer;version="1.0.0",com.liferay.portal.kernel.search.result;versio
 n="1.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.search,javax.portlet",com.liferay.portal.kernel.search.sugg
 est;version="3.1.1";uses:="com.liferay.portal.kernel.search",com.life
 ray.portal.kernel.security;version="6.2.0",com.liferay.portal.kernel.
 security.access.control;version="2.0.0";uses:="com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.security.auth,com.liferay.por
 tal.kernel.security.auth.verifier,javax.servlet.http",com.liferay.por
 tal.kernel.security.auth;version="6.0.0";uses:="com.liferay.petra.lan
 g,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.model
 ,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.security
 .auth.verifier,com.liferay.portal.kernel.security.permission,javax.se
 rvlet.http,org.osgi.framework,org.osgi.util.tracker",com.liferay.port
 al.kernel.security.auth.http;version="1.1.0";uses:="com.liferay.porta
 l.kernel.exception,javax.servlet.http",com.liferay.portal.kernel.secu
 rity.auth.session;version="1.0.0";uses:="com.liferay.portal.kernel.ex
 ception,javax.servlet.http",com.liferay.portal.kernel.security.auth.t
 unnel;version="1.0.0";uses:="com.liferay.portal.kernel.security.auth,
 javax.servlet.http",com.liferay.portal.kernel.security.auth.verifier;
 version="2.0.0";uses:="com.liferay.portal.kernel.security.auth",com.l
 iferay.portal.kernel.security.auto.login;version="2.0.0";uses:="com.l
 iferay.portal.kernel.exception,javax.servlet.http",com.liferay.portal
 .kernel.security.exportimport;version="1.0.0",com.liferay.portal.kern
 el.security.jaas;version="7.0.0";uses:="javax.security.auth,javax.sec
 urity.auth.callback,javax.security.auth.login,javax.security.auth.spi
 ",com.liferay.portal.kernel.security.ldap;version="2.0.0";uses:="java
 x.naming.directory",com.liferay.portal.kernel.security.membershippoli
 cy;version="1.0.0";uses:="com.liferay.asset.kernel.model,com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.p
 ortal.kernel.security.permission,com.liferay.portal.kernel.util",com.
 liferay.portal.kernel.security.permission;version="6.3.0";uses:="com.
 liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.expression,com.lifera
 y.petra.sql.dsl.query,com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.security.permission.co
 ntributor,com.liferay.portal.kernel.security.permission.propagator,co
 m.liferay.portal.kernel.xml,javax.servlet.http",com.liferay.portal.ke
 rnel.security.permission.comparator;version="1.0.0",com.liferay.porta
 l.kernel.security.permission.contributor;version="1.0.0";uses:="com.l
 iferay.portal.kernel.model,com.liferay.portal.kernel.security.permiss
 ion",com.liferay.portal.kernel.security.permission.propagator;version
 ="1.0.0";uses:="com.liferay.portal.kernel.exception,javax.portlet",co
 m.liferay.portal.kernel.security.permission.resource;version="2.2.0";
 uses:="com.liferay.exportimport.kernel.staging.permission,com.liferay
 .petra.function,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.security.auth,com.liferay.po
 rtal.kernel.security.permission,com.liferay.portal.kernel.service,com
 .liferay.portal.kernel.workflow.permission",com.liferay.portal.kernel
 .security.permission.resource.definition;version="1.0.1";uses:="com.l
 iferay.portal.kernel.exception,com.liferay.portal.kernel.model,com.li
 feray.portal.kernel.security.permission.resource",com.liferay.portal.
 kernel.security.permission.wrapper;version="1.0.0";uses:="com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.security.permission,co
 m.liferay.portal.kernel.security.permission.contributor",com.liferay.
 portal.kernel.security.pwd;version="4.0.0";uses:="com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.model",com.liferay.portal.
 kernel.security.service.access.policy;version="1.1.0",com.liferay.por
 tal.kernel.security.sso;version="1.0.0";uses:="javax.servlet.http",co
 m.liferay.portal.kernel.security.xml;version="2.0.0";uses:="javax.xml
 .parsers,javax.xml.stream,javax.xml.transform,org.xml.sax",com.lifera
 y.portal.kernel.service;version="19.4.1";uses:="com.liferay.announcem
 ents.kernel.model,com.liferay.expando.kernel.model,com.liferay.export
 import.kernel.lar,com.liferay.petra.function,com.liferay.petra.sql.ds
 l.query,com.liferay.portal.kernel.cache.thread.local,com.liferay.port
 al.kernel.change.tracking,com.liferay.portal.kernel.cluster,com.lifer
 ay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.life
 ray.portal.kernel.json,com.liferay.portal.kernel.jsonwebservice,com.l
 iferay.portal.kernel.messaging.async,com.liferay.portal.kernel.model,
 com.liferay.portal.kernel.notifications,com.liferay.portal.kernel.plu
 gin,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.repos
 itory.model,com.liferay.portal.kernel.search,com.liferay.portal.kerne
 l.security.access.control,com.liferay.portal.kernel.security.auth,com
 .liferay.portal.kernel.security.permission,com.liferay.portal.kernel.
 service.change.tracking,com.liferay.portal.kernel.service.configurati
 on,com.liferay.portal.kernel.service.permission,com.liferay.portal.ke
 rnel.service.persistence,com.liferay.portal.kernel.service.persistenc
 e.change.tracking,com.liferay.portal.kernel.settings,com.liferay.port
 al.kernel.spring.aop,com.liferay.portal.kernel.systemevent,com.lifera
 y.portal.kernel.theme,com.liferay.portal.kernel.transaction,com.lifer
 ay.portal.kernel.upgrade,com.liferay.portal.kernel.upload,com.liferay
 .portal.kernel.util,com.liferay.portal.kernel.xml,javax.portlet,javax
 .servlet,javax.servlet.http",com.liferay.portal.kernel.service.change
 .tracking;version="1.0.0";uses:="com.liferay.petra.function,com.lifer
 ay.portal.kernel.model.change.tracking,com.liferay.portal.kernel.serv
 ice.persistence.change.tracking,com.liferay.portal.kernel.transaction
 ",com.liferay.portal.kernel.service.configuration;version="1.1.1",com
 .liferay.portal.kernel.service.configuration.servlet;version="1.1.0";
 uses:="com.liferay.portal.kernel.service.configuration,javax.servlet"
 ,com.liferay.portal.kernel.service.http;version="1.0.0";uses:="com.li
 feray.portal.kernel.security.auth,com.liferay.portal.kernel.util",com
 .liferay.portal.kernel.service.permission;version="5.0.0";uses:="com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.model,com.l
 iferay.portal.kernel.security.auth,com.liferay.portal.kernel.security
 .permission,javax.portlet,javax.servlet.http",com.liferay.portal.kern
 el.service.persistence;version="19.0.0";uses:="com.liferay.petra.sql.
 dsl.query,com.liferay.portal.kernel.dao.db,com.liferay.portal.kernel.
 dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel
 .model,com.liferay.portal.kernel.service,com.liferay.portal.kernel.se
 rvice.persistence.change.tracking,com.liferay.portal.kernel.util,java
 x.sql",com.liferay.portal.kernel.service.persistence.change.tracking;
 version="1.4.0";uses:="com.liferay.portal.kernel.change.tracking,com.
 liferay.portal.kernel.model.change.tracking,com.liferay.portal.kernel
 .service.persistence",com.liferay.portal.kernel.service.persistence.c
 hange.tracking.helper;version="1.1.0";uses:="com.liferay.portal.kerne
 l.model.change.tracking",com.liferay.portal.kernel.service.persistenc
 e.impl;version="4.1.0";uses:="com.liferay.petra.sql.dsl,com.liferay.p
 etra.sql.dsl.query,com.liferay.petra.string,com.liferay.portal.kernel
 .configuration,com.liferay.portal.kernel.dao.db,com.liferay.portal.ke
 rnel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.model,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.service.persistence,com.liferay.portal.kernel.util,javax.sql",com.
 liferay.portal.kernel.service.version;version="1.1.0";uses:="com.life
 ray.portal.kernel.exception,com.liferay.portal.kernel.model.version",
 com.liferay.portal.kernel.servlet;version="11.2.0";uses:="com.liferay
 .petra.string,com.liferay.portal.kernel.log,com.liferay.portal.kernel
 .util,javax.portlet,javax.servlet,javax.servlet.http",com.liferay.por
 tal.kernel.servlet.filters.compoundsessionid;version="7.0.0";uses:="c
 om.liferay.portal.kernel.servlet,javax.servlet.http",com.liferay.port
 al.kernel.servlet.filters.invoker;version="10.0.0";uses:="com.liferay
 .portal.kernel.util,javax.servlet,javax.servlet.http",com.liferay.por
 tal.kernel.servlet.taglib;version="9.0.0";uses:="com.liferay.petra.st
 ring,com.liferay.portal.kernel.log,javax.servlet,javax.servlet.http",
 com.liferay.portal.kernel.servlet.taglib.aui;version="10.1.0";uses:="
 com.liferay.petra.string,com.liferay.portal.kernel.util",com.liferay.
 portal.kernel.servlet.taglib.ui;version="11.0.0";uses:="com.liferay.p
 etra.string,com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.model,com.liferay.portal.kernel.util,javax.servlet,javax.servlet
 .http",com.liferay.portal.kernel.servlet.taglib.util;version="7.0.0";
 uses:="com.liferay.petra.string,com.liferay.portal.kernel.util",com.l
 iferay.portal.kernel.settings;version="3.2.0";uses:="com.liferay.port
 al.kernel.exception,com.liferay.portal.kernel.model,com.liferay.porta
 l.kernel.resource.manager,javax.portlet",com.liferay.portal.kernel.se
 ttings.definition;version="2.0.0",com.liferay.portal.kernel.social;ve
 rsion="2.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.model,com.liferay.social.kernel.service",com.liferay.po
 rtal.kernel.spring.aop;version="7.0.0";uses:="com.liferay.portal.kern
 el.service",com.liferay.portal.kernel.spring.orm;version="1.0.0",com.
 liferay.portal.kernel.spring.osgi;version="2.0.0",com.liferay.portal.
 kernel.spring.util;version="7.0.0",com.liferay.portal.kernel.struts;v
 ersion="8.0.0";uses:="javax.servlet.http",com.liferay.portal.kernel.s
 ystemevent;version="6.2.0",com.liferay.portal.kernel.template;version
 ="14.1.0";uses:="com.liferay.dynamic.data.mapping.kernel,com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.xml,javax.servlet.h
 ttp",com.liferay.portal.kernel.template.comparator;version="6.2.0";us
 es:="com.liferay.portal.kernel.template",com.liferay.portal.kernel.te
 mplateparser;version="8.0.0";uses:="com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.xml",com
 .liferay.portal.kernel.terms.of.use;version="1.0.1";uses:="javax.serv
 let.http",com.liferay.portal.kernel.theme;version="10.4.0";uses:="com
 .liferay.petra.string,com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.json,com.liferay.portal.kernel.mobile.device,com.lifer
 ay.portal.kernel.model,com.liferay.portal.kernel.module.configuration
 ,com.liferay.portal.kernel.portlet.configuration.icon,com.liferay.por
 tal.kernel.portlet.toolbar,com.liferay.portal.kernel.security.permiss
 ion,com.liferay.portal.kernel.util,javax.portlet,javax.servlet,javax.
 servlet.http",com.liferay.portal.kernel.transaction;version="8.1.0",c
 om.liferay.portal.kernel.trash;version="14.0.0";uses:="com.liferay.as
 set.kernel.model,com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.search,com.liferay.portal.k
 ernel.search.filter,com.liferay.portal.kernel.security.permission,com
 .liferay.portal.kernel.service,com.liferay.portal.kernel.util,com.lif
 eray.trash.kernel.model,javax.portlet",com.liferay.portal.kernel.tras
 h.helper;version="1.1.0";uses:="com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.model,javax.portlet,javax.servlet.http",com.
 liferay.portal.kernel.tree;version="2.1.1";uses:="com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.model",com.liferay.portal.
 kernel.upgrade;version="19.2.0";uses:="com.liferay.petra.lang,com.lif
 eray.portal.kernel.dao.db,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.resource.bundle,com.liferay.portal.kernel.service,
 com.liferay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.po
 rtlet",com.liferay.portal.kernel.upgrade.util;version="10.3.0";uses:=
 "com.liferay.portal.kernel.model,com.liferay.portal.kernel.upgrade,co
 m.liferay.portal.kernel.version",com.liferay.portal.kernel.upload;ver
 sion="10.0.0";uses:="com.liferay.portal.kernel.exception,javax.portle
 t,javax.servlet.http",com.liferay.portal.kernel.upload.configuration;
 version="1.0.0",com.liferay.portal.kernel.url;version="1.1.0";uses:="
 javax.servlet",com.liferay.portal.kernel.url.validator;version="1.0.0
 ",com.liferay.portal.kernel.util;version="56.1.0";uses:="com.liferay.
 expando.kernel.model,com.liferay.mail.kernel.model,com.liferay.petra.
 process,com.liferay.petra.sql.dsl.query.sort,com.liferay.petra.string
 ,com.liferay.portal.kernel.configuration,com.liferay.portal.kernel.ex
 ception,com.liferay.portal.kernel.group.capability,com.liferay.portal
 .kernel.io,com.liferay.portal.kernel.io.unsync,com.liferay.portal.ker
 nel.json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.po
 rtlet,com.liferay.portal.kernel.repository.model,com.liferay.portal.k
 ernel.resource.bundle,com.liferay.portal.kernel.security.permission,c
 om.liferay.portal.kernel.service,com.liferay.portal.kernel.settings,c
 om.liferay.portal.kernel.spring.osgi,com.liferay.portal.kernel.theme,
 com.liferay.portal.kernel.upload,com.liferay.portal.kernel.xml,javax.
 mail,javax.mail.internet,javax.portlet,javax.servlet,javax.servlet.ht
 tp,javax.sql",com.liferay.portal.kernel.util.comparator;version="3.1.
 0";uses:="com.liferay.portal.kernel.model,com.liferay.portal.kernel.p
 ortlet.configuration.icon,com.liferay.portal.kernel.util,javax.servle
 t",com.liferay.portal.kernel.uuid;version="6.2.0",com.liferay.portal.
 kernel.verify.model;version="2.1.0",com.liferay.portal.kernel.version
 ;version="1.1.0",com.liferay.portal.kernel.view.count;version="1.2.0"
 ;uses:="com.liferay.petra.sql.dsl,com.liferay.portal.kernel.exception
 ",com.liferay.portal.kernel.webcache;version="6.2.0";uses:="com.lifer
 ay.portal.kernel.exception",com.liferay.portal.kernel.webdav;version=
 "10.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal.kern
 el.security.permission,com.liferay.portal.kernel.webdav.methods,com.l
 iferay.portal.kernel.xml,javax.servlet.http",com.liferay.portal.kerne
 l.webdav.methods;version="6.2.0";uses:="com.liferay.portal.kernel.web
 dav,javax.servlet.http",com.liferay.portal.kernel.webserver;version="
 1.0.0",com.liferay.portal.kernel.words;version="2.0.0";uses:="com.lif
 eray.portal.kernel.jazzy",com.liferay.portal.kernel.workflow;version=
 "18.1.0";uses:="com.liferay.asset.kernel.model,com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.model,com.liferay.portal.kern
 el.portlet,com.liferay.portal.kernel.service,com.liferay.portal.kerne
 l.util,com.liferay.portal.kernel.workflow.search,javax.portlet,javax.
 servlet.http",com.liferay.portal.kernel.workflow.comparator;version="
 8.0.0";uses:="com.liferay.portal.kernel.util,com.liferay.portal.kerne
 l.workflow",com.liferay.portal.kernel.workflow.permission;version="7.
 0.0";uses:="com.liferay.portal.kernel.security.permission",com.lifera
 y.portal.kernel.workflow.search;version="1.0.0";uses:="com.liferay.po
 rtal.kernel.workflow",com.liferay.portal.kernel.xml;version="7.1.0";u
 ses:="org.xml.sax",com.liferay.portal.kernel.xml.simple;version="6.2.
 0",com.liferay.portal.kernel.xmlrpc;version="6.2.0";uses:="com.lifera
 y.portal.kernel.exception",com.liferay.portal.kernel.zip;version="6.4
 .2",com.liferay.portlet.configuration.kernel.util;version="1.0.0";use
 s:="javax.portlet",com.liferay.ratings.kernel;version="1.2.0",com.lif
 eray.ratings.kernel.definition;version="1.1.0";uses:="com.liferay.por
 tal.kernel.exception,com.liferay.ratings.kernel",com.liferay.ratings.
 kernel.display.context;version="1.0.0";uses:="com.liferay.portal.kern
 el.util,com.liferay.ratings.kernel,javax.portlet,javax.servlet.http",
 com.liferay.ratings.kernel.exception;version="1.0.0";uses:="com.lifer
 ay.portal.kernel.exception",com.liferay.ratings.kernel.model;version=
 "4.1.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.petra.
 sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.anno
 tation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.model
 ,com.liferay.portal.kernel.model.change.tracking,com.liferay.portal.k
 ernel.model.wrapper,com.liferay.portal.kernel.util",com.liferay.ratin
 gs.kernel.service;version="2.6.0";uses:="com.liferay.exportimport.ker
 nel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,co
 m.liferay.portal.kernel.change.tracking,com.liferay.portal.kernel.dao
 .orm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.js
 onwebservice,com.liferay.portal.kernel.model,com.liferay.portal.kerne
 l.search,com.liferay.portal.kernel.security.access.control,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.service.change.trac
 king,com.liferay.portal.kernel.service.persistence.change.tracking,co
 m.liferay.portal.kernel.systemevent,com.liferay.portal.kernel.transac
 tion,com.liferay.portal.kernel.util,com.liferay.ratings.kernel.model"
 ,com.liferay.ratings.kernel.service.persistence;version="4.2.0";uses:
 ="com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.service
 ,com.liferay.portal.kernel.service.persistence,com.liferay.portal.ker
 nel.service.persistence.change.tracking,com.liferay.portal.kernel.uti
 l,com.liferay.ratings.kernel.exception,com.liferay.ratings.kernel.mod
 el",com.liferay.ratings.kernel.transformer;version="1.0.0";uses:="com
 .liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.util,com.liferay.ratings.kernel,com.liferay.r
 atings.kernel.model,javax.portlet",com.liferay.roles.admin.kernel.uti
 l;version="2.0.0";uses:="com.liferay.portal.kernel.model",com.liferay
 .sites.kernel.util;version="1.4.0";uses:="com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.se
 curity.permission,com.liferay.portal.kernel.service,javax.portlet,jav
 ax.servlet.http",com.liferay.social.kernel.exception;version="1.0.0";
 uses:="com.liferay.portal.kernel.exception",com.liferay.social.kernel
 .model;version="6.1.0";uses:="com.liferay.asset.kernel.model,com.life
 ray.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.k
 ernel.annotation,com.liferay.portal.kernel.bean,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.json,com.liferay.portal.kern
 el.model,com.liferay.portal.kernel.model.change.tracking,com.liferay.
 portal.kernel.model.wrapper,com.liferay.portal.kernel.resource.bundle
 ,com.liferay.portal.kernel.security.permission,com.liferay.portal.ker
 nel.service,com.liferay.portal.kernel.theme,com.liferay.portal.kernel
 .util",com.liferay.social.kernel.model.impl;version="1.0.0";uses:="co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.security.
 permission,com.liferay.portal.kernel.service,com.liferay.portal.kerne
 l.theme,com.liferay.social.kernel.model",com.liferay.social.kernel.se
 rvice;version="3.0.0";uses:="com.liferay.asset.kernel.model,com.lifer
 ay.petra.function,com.liferay.petra.sql.dsl.query,com.liferay.portal.
 kernel.change.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.po
 rtal.kernel.jsonwebservice,com.liferay.portal.kernel.messaging.async,
 com.liferay.portal.kernel.model,com.liferay.portal.kernel.search,com.
 liferay.portal.kernel.security.access.control,com.liferay.portal.kern
 el.service,com.liferay.portal.kernel.service.change.tracking,com.life
 ray.portal.kernel.service.persistence.change.tracking,com.liferay.por
 tal.kernel.theme,com.liferay.portal.kernel.transaction,com.liferay.po
 rtal.kernel.util,com.liferay.social.kernel.model",com.liferay.social.
 kernel.service.permission;version="1.0.0";uses:="com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.security.permission",com.li
 feray.social.kernel.service.persistence;version="4.2.0";uses:="com.li
 feray.portal.kernel.dao.orm,com.liferay.portal.kernel.service,com.lif
 eray.portal.kernel.service.persistence,com.liferay.portal.kernel.serv
 ice.persistence.change.tracking,com.liferay.portal.kernel.util,com.li
 feray.social.kernel.exception,com.liferay.social.kernel.model",com.li
 feray.social.kernel.util;version="1.0.0";uses:="com.liferay.portal.ke
 rnel.service,com.liferay.social.kernel.model,javax.servlet.http",com.
 liferay.social.kernel.util.comparator;version="1.1.0";uses:="com.life
 ray.portal.kernel.util,com.liferay.social.kernel.model",com.liferay.t
 rash.kernel.model;version="6.0.0";uses:="com.liferay.expando.kernel.m
 odel,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.b
 ean,com.liferay.portal.kernel.model,com.liferay.portal.kernel.service
 ,com.liferay.portal.kernel.util",com.liferay.users.admin.kernel.file.
 uploads;version="2.0.0",com.liferay.users.admin.kernel.organization.t
 ypes;version="1.0.1",com.liferay.users.admin.kernel.util;version="2.0
 .0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.model,com.liferay.portal.kernel.search,com.liferay.portal.kernel.
 security.permission,com.liferay.portal.kernel.util,javax.portlet,java
 x.servlet.http"
Git-Descriptor: 281d88f06e62d-dirty
Git-SHA: 281d88f06e62debdb6dede7c77ef75d1d6629d09
Import-Package: com.liferay.announcements.kernel.exception;version="[1
 .0,2)",com.liferay.announcements.kernel.model;version="[4.1,4.2)",com
 .liferay.asset.kernel.exception;version="[3.0,4)",com.liferay.asset.k
 ernel.model;version="[9.2,9.3)",com.liferay.asset.kernel.service;vers
 ion="[8.0,8.1)",com.liferay.asset.kernel.service.persistence;version=
 "[10.0,11)",com.liferay.counter.kernel.service;version="[2.1,2.2)",co
 m.liferay.document.library.kernel.exception;version="[4.1,5)",com.lif
 eray.document.library.kernel.model;version="[8.1,8.2)",com.liferay.do
 cument.library.kernel.service;version="[10.0,10.1)",com.liferay.docum
 ent.library.kernel.store;version="[3.1,4)",com.liferay.document.libra
 ry.kernel.util;version="[8.0,9)",com.liferay.dynamic.data.mapping.ker
 nel;version="[3.0,4)",com.liferay.expando.kernel.exception;version="[
 2.0,3)",com.liferay.expando.kernel.model;version="[6.0,6.1)",com.life
 ray.expando.kernel.util;version="[4.0,5)",com.liferay.exportimport.ke
 rnel.exception;version="[2.1,3)",com.liferay.exportimport.kernel.mode
 l;version="[6.0,6.1)",com.liferay.exportimport.kernel.service;version
 ="[2.7,2.8)",com.liferay.exportimport.kernel.staging;version="[2.3,3)
 ",com.liferay.exportimport.kernel.staging.permission;version="[1.0,2)
 ",com.liferay.layout.admin.kernel.model;version="[1.0,2)",com.liferay
 .mail.kernel.model;version="[1.1,2)",com.liferay.mail.kernel.service;
 version="[5.0,6)",com.liferay.mail.kernel.template;version="[2.0,3)",
 com.liferay.osgi.service.tracker.collections.list,com.liferay.osgi.se
 rvice.tracker.collections.map,com.liferay.petra.concurrent,com.lifera
 y.petra.executor,com.liferay.petra.function,com.liferay.petra.functio
 n.transform,com.liferay.petra.io.unsync,com.liferay.petra.lang,com.li
 feray.petra.memory,com.liferay.petra.nio,com.liferay.petra.process,co
 m.liferay.petra.reflect,com.liferay.petra.sql.dsl,com.liferay.petra.s
 ql.dsl.ast,com.liferay.petra.sql.dsl.base,com.liferay.petra.sql.dsl.e
 xpression,com.liferay.petra.sql.dsl.query,com.liferay.petra.sql.dsl.q
 uery.sort,com.liferay.petra.sql.dsl.spi.ast,com.liferay.petra.sql.dsl
 .spi.expression,com.liferay.petra.sql.dsl.spi.query,com.liferay.petra
 .string,com.liferay.portal.kernel.annotation;version="[7.0,8)",com.li
 feray.portal.kernel.application.type;version="[1.0,2)",com.liferay.po
 rtal.kernel.backgroundtask;version="[10.0,11)",com.liferay.portal.ker
 nel.backgroundtask.display;version="[3.0,4)",com.liferay.portal.kerne
 l.bean;version="[10.1,11)",com.liferay.portal.kernel.cache.thread.loc
 al;version="[2.0,3)",com.liferay.portal.kernel.cal;version="[7.0,8)",
 com.liferay.portal.kernel.change.tracking;version="[2.2,3)",com.lifer
 ay.portal.kernel.change.tracking.sql;version="[1.0,2)",com.liferay.po
 rtal.kernel.comment;version="[4.0,4.1)",com.liferay.portal.kernel.con
 current;version="[8.0,9)",com.liferay.portal.kernel.configuration;ver
 sion="[7.0,8)",com.liferay.portal.kernel.cookies;version="[3.1,4)",co
 m.liferay.portal.kernel.dao.db;version="[10.2,11)",com.liferay.portal
 .kernel.dao.orm;version="[12.0,12.1)",com.liferay.portal.kernel.dao.s
 earch;version="[9.0,10)",com.liferay.portal.kernel.deploy.auto.contex
 t;version="[7.0,8)",com.liferay.portal.kernel.deploy.hot;version="[7.
 1,8)",com.liferay.portal.kernel.exception;version="[13.1,14)",com.lif
 eray.portal.kernel.frontend.esm;version="[1.0,2)",com.liferay.portal.
 kernel.image;version="[10.0,11)",com.liferay.portal.kernel.increment;
 version="[7.1,8)",com.liferay.portal.kernel.io;version="[9.0,10)",com
 .liferay.portal.kernel.io.unsync;version="[8.0,9)",com.liferay.portal
 .kernel.jazzy;version="[1.0,2)",com.liferay.portal.kernel.jmx.model;v
 ersion="[7.0,8)",com.liferay.portal.kernel.jndi;version="[7.0,8)",com
 .liferay.portal.kernel.json;version="[11.0,12)",com.liferay.portal.ke
 rnel.jsonwebservice;version="[9.0,10)",com.liferay.portal.kernel.lang
 uage;version="[11.0,12)",com.liferay.portal.kernel.language.constants
 ;version="[1.0,2)",com.liferay.portal.kernel.license;version="[1.0,2)
 ",com.liferay.portal.kernel.lock;version="[9.0,10)",com.liferay.porta
 l.kernel.management;version="[8.0,9)",com.liferay.portal.kernel.messa
 ging;version="[15.0,15.1)",com.liferay.portal.kernel.messaging.async;
 version="[6.2,7)",com.liferay.portal.kernel.mobile.device;version="[9
 .0,9.1)",com.liferay.portal.kernel.model.adapter.builder;version="[1.
 0,2)",com.liferay.portal.kernel.model.change.tracking;version="[3.0,4
 )",com.liferay.portal.kernel.model.dao;version="[2.5,3)",com.liferay.
 portal.kernel.model.impl;version="[7.2,8)",com.liferay.portal.kernel.
 model.portlet;version="[2.0,3)",com.liferay.portal.kernel.model.versi
 on;version="[3.0,4)",com.liferay.portal.kernel.model.wrapper;version=
 "[3.0,4)",com.liferay.portal.kernel.module.configuration;version="[2.
 1,3)",com.liferay.portal.kernel.module.framework;version="[1.4,2)",co
 m.liferay.portal.kernel.plugin;version="[7.0,8)",com.liferay.portal.k
 ernel.pop;version="[7.0,8)",com.liferay.portal.kernel.portlet.bridges
 .mvc.constants;version="[1.0,2)",com.liferay.portal.kernel.portlet.co
 nfiguration.icon.locator;version="[1.0,2)",com.liferay.portal.kernel.
 portlet.toolbar.contributor;version="[1.1,2)",com.liferay.portal.kern
 el.portlet.toolbar.contributor.locator;version="[1.0,2)",com.liferay.
 portal.kernel.repository;version="[13.0,14)",com.liferay.portal.kerne
 l.repository.capabilities;version="[2.0,2.1)",com.liferay.portal.kern
 el.repository.event;version="[1.1,2)",com.liferay.portal.kernel.repos
 itory.http.header.customizer;version="[1.0,2)",com.liferay.portal.ker
 nel.repository.model;version="[11.2,11.3)",com.liferay.portal.kernel.
 repository.registry;version="[1.1,2)",com.liferay.portal.kernel.repos
 itory.search;version="[7.0,8)",com.liferay.portal.kernel.resource;ver
 sion="[6.3,7)",com.liferay.portal.kernel.resource.manager;version="[1
 .0,2)",com.liferay.portal.kernel.scheduler;version="[17.1,18)",com.li
 feray.portal.kernel.scheduler.messaging;version="[9.0,10)",com.lifera
 y.portal.kernel.search.background.task;version="[2.0,3)",com.liferay.
 portal.kernel.search.facet;version="[9.0,10)",com.liferay.portal.kern
 el.search.facet.collector;version="[6.3,7)",com.liferay.portal.kernel
 .search.facet.config;version="[8.0,9)",com.liferay.portal.kernel.sear
 ch.facet.util;version="[7.0,8)",com.liferay.portal.kernel.search.filt
 er;version="[1.0,2)",com.liferay.portal.kernel.search.generic;version
 ="[3.0,4)",com.liferay.portal.kernel.search.geolocation;version="[1.0
 ,2)",com.liferay.portal.kernel.search.highlight;version="[1.0,2)",com
 .liferay.portal.kernel.search.hits;version="[2.0,3)",com.liferay.port
 al.kernel.search.query;version="[2.0,3)",com.liferay.portal.kernel.se
 arch.result;version="[1.0,2)",com.liferay.portal.kernel.search.sugges
 t;version="[3.1,4)",com.liferay.portal.kernel.security;version="[6.2,
 7)",com.liferay.portal.kernel.security.auth.tunnel;version="[1.0,2)",
 com.liferay.portal.kernel.security.auth.verifier;version="[2.0,3)",co
 m.liferay.portal.kernel.security.permission.contributor;version="[1.0
 ,2)",com.liferay.portal.kernel.security.permission.propagator;version
 ="[1.0,2)",com.liferay.portal.kernel.security.permission.resource.def
 inition;version="[1.0,2)",com.liferay.portal.kernel.security.pwd;vers
 ion="[4.0,5)",com.liferay.portal.kernel.security.xml;version="[2.0,3)
 ",com.liferay.portal.kernel.service.change.tracking;version="[1.0,2)"
 ,com.liferay.portal.kernel.service.configuration;version="[1.1,1.2)",
 com.liferay.portal.kernel.service.persistence;version="[19.0,20)",com
 .liferay.portal.kernel.service.persistence.change.tracking;version="[
 1.4,2)",com.liferay.portal.kernel.servlet.filters.compoundsessionid;v
 ersion="[7.0,8)",com.liferay.portal.kernel.settings;version="[3.2,4)"
 ,com.liferay.portal.kernel.spring.aop;version="[7.0,8)",com.liferay.p
 ortal.kernel.spring.orm;version="[1.0,2)",com.liferay.portal.kernel.s
 pring.osgi;version="[2.0,3)",com.liferay.portal.kernel.systemevent;ve
 rsion="[6.2,7)",com.liferay.portal.kernel.trash.helper;version="[1.1,
 2)",com.liferay.portal.kernel.upgrade;version="[19.2,20)",com.liferay
 .portal.kernel.upgrade.util;version="[10.3,11)",com.liferay.portal.ke
 rnel.upload;version="[10.0,11)",com.liferay.portal.kernel.util.compar
 ator;version="[3.1,4)",com.liferay.portal.kernel.uuid;version="[6.2,7
 )",com.liferay.portal.kernel.version;version="[1.1,2)",com.liferay.po
 rtal.kernel.webdav.methods;version="[6.2,7)",com.liferay.portal.kerne
 l.webserver;version="[1.0,2)",com.liferay.portal.kernel.workflow.perm
 ission;version="[7.0,8)",com.liferay.portal.kernel.workflow.search;ve
 rsion="[1.0,2)",com.liferay.portal.kernel.xml;version="[7.1,7.2)",com
 .liferay.portal.kernel.xml.simple;version="[6.2,7)",com.liferay.porta
 l.kernel.xmlrpc;version="[6.2,7)",com.liferay.portal.kernel.zip;versi
 on="[6.4,7)",com.liferay.ratings.kernel;version="[1.2,2)",com.liferay
 .ratings.kernel.exception;version="[1.0,2)",com.liferay.ratings.kerne
 l.model;version="[4.1,4.2)",com.liferay.ratings.kernel.service;versio
 n="[2.6,2.7)",com.liferay.ratings.kernel.transformer;version="[1.0,2)
 ",com.liferay.sites.kernel.util;version="[1.4,2)",com.liferay.social.
 kernel.exception;version="[1.0,2)",com.liferay.social.kernel.model;ve
 rsion="[6.1,6.2)",com.liferay.social.kernel.service;version="[3.0,3.1
 )",com.liferay.social.kernel.service.persistence;version="[4.2,5)",co
 m.liferay.trash.kernel.model;version="[6.0,6.1)",com.liferay.users.ad
 min.kernel.file.uploads;version="[2.0,3)",javax.mail,javax.mail.inter
 net,javax.management,javax.naming,javax.naming.directory,javax.net.ss
 l,javax.portlet,javax.portlet.annotations,javax.portlet.filter,javax.
 security.auth,javax.security.auth.callback,javax.security.auth.login,
 javax.security.auth.spi,javax.servlet,javax.servlet.http,javax.sql,ja
 vax.xml.namespace,javax.xml.parsers,javax.xml.stream,javax.xml.transf
 orm,org.osgi.framework,org.osgi.util.tracker,org.xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Mar 24 00:00:00 PDT 2023
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Thu Jul 4 12:16:11 PDT 2024
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 69 (Cavanaugh / Build 7413 / March 24, 2023)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 69
Private-Package: com.liferay.portal.kernel.internal.cache,com.liferay.
 portal.kernel.internal.dao.jdbc,com.liferay.portal.kernel.internal.da
 o.orm,com.liferay.portal.kernel.internal.security.access.control,com.
 liferay.portal.kernel.internal.security.permission.resource,com.lifer
 ay.portal.kernel.internal.service.permission,com.liferay.portal.kerne
 l.internal.service.persistence,com.liferay.portal.kernel.internal.ser
 vice.persistence.change.tracking,com.liferay.portal.kernel.internal.s
 ervlet,com.liferay.portal.kernel.internal.spring.transaction,com.life
 ray.portal.kernel.internal.util,com.liferay.portal.kernel.module.util
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Tool: Bnd-3.5.0.201709291849
